/***
 * Excerpted from "No Fluff Just Stuff 2006 Anthology"
 * We make no guarantees that this code is fit for any purpose. 
 * Visit http://www.pragmaticprogrammer.com/titles/nfjs06 for more book information.
***/
package com.nealford.conf.nfjs.domainlangs.exerlog;

/*START:MonthlyExerLog*/
public class MonthlyExerLog {

    public static void main(String[] args) {
        new MonthlyExerLog();
    }

    public MonthlyExerLog() {
        new Log().forMonth("January").
            add(new Swim().onDate("01/02/2005").forDistance(1250)).
            add(new Bike().onDate("01/02/2005").forDistance(20)).
            add(new Swim().onDate("01/03/2005").forDistance(1500)).
            add(new Run().onDate("01/03/2005").forDistance(5)).
            report();

        Log febLog = new Log().forMonth("February");
        febLog.add(new Swim().onDate("02/01/2005").forDistance(1250));
        febLog.add(new Run().onDate("02/01/2005").forDistance(3.1));
        febLog.add(new Swim().onDate("02/24/2005").forDistance(3000));
        febLog.add(new Bike().onDate("02/25/2005").forDistance(24.5));
        febLog.report();
    }
}
/*END:MonthlyExerLog*/
